package org.kaoriha.jspbp.taglib;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;

import org.apache.commons.lang.StringEscapeUtils;

public class TextAreaTagAttr extends GlobalAttr {
	private String rows;
	private String cols;
	private String disabled;
	private String readonly;
	private String onselect;
	private String onchange;

	private String propertyValue;

	@Override
	protected void printPropertyAttr(PageContext pageContext, String name,
			Object value) throws IOException {
		pageContext.getOut().print("name");
		pageContext.getOut().print("=\"");
		pageContext.getOut().print(name);
		pageContext.getOut().print("\" ");
		
		propertyValue = (String)value;
	}

	public void doStartTag(PageContext pageContext) throws JspException,
			IOException, IllegalAccessException, InvocationTargetException,
			NoSuchMethodException {
		pageContext.getOut().print("<textarea ");
		printAttrs(pageContext);
		pageContext.getOut().print(">");
		if (propertyValue != null) {
			pageContext.getOut().print(StringEscapeUtils.escapeXml(propertyValue));
		}
		pageContext.getOut().print("</textarea>");
	}

	public String getRows() {
		return rows;
	}

	public void setRows(String rows) {
		this.rows = rows;
	}

	public String getCols() {
		return cols;
	}

	public void setCols(String cols) {
		this.cols = cols;
	}

	public String getDisabled() {
		return disabled;
	}

	public void setDisabled(String disabled) {
		this.disabled = disabled;
	}

	public String getReadonly() {
		return readonly;
	}

	public void setReadonly(String readonly) {
		this.readonly = readonly;
	}

	public String getOnselect() {
		return onselect;
	}

	public void setOnselect(String onselect) {
		this.onselect = onselect;
	}

	public String getOnchange() {
		return onchange;
	}

	public void setOnchange(String onchange) {
		this.onchange = onchange;
	}
}
